using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Abakus2
{
    internal class Program
    {
        //HashSet<int> rezultati;
        //static long proizvodiDo100 = ProizvodCifara(99);



        static long ProizvodCifara(long n)
        {
            long proizvod = 1;
            string sn = n.ToString();

            foreach(var cifra in sn)
            {
                proizvod *= int.Parse(cifra.ToString());
            }
            return proizvod;
        }



        static void Main(string[] args)
        {
            long t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                long n = long.Parse(Console.ReadLine());
                HashSet<long> rezultati = new HashSet<long>();

                for (long j = 1; j <= n; j++)
                {
                    //if(j == 10)
                    rezultati.Add(ProizvodCifara(j));
                }
                Console.WriteLine(rezultati.Count);
            }
            //Console.WriteLine(proizvodiDo100);
        }
    }
}